Runtime

## org.eclipse.gmf.runtime.emf.core.resources
Interface IPathmapManager

    public interface IPathmapManager

Specification of an object that manages URI mappings (path variables) for the `pathmap` URI scheme on an editing domain's resource set.

Method Summary
`IStatus` `addPathVariable(java.lang.String name, java.lang.String value)` Set the value of a path variable.
`java.lang.String` `getPathVariable(java.lang.String name)` Queries the current value of a path variable.
`IStatus` `removePathVariable(java.lang.String name)` Removes a path variable and its value.

Method Detail

### addPathVariable

    IStatus addPathVariable(java.lang.String name,
                            java.lang.String value)

  Set the value of a path variable.

  Parameters:
    `name` - the path variable name
    `value` - the path variable value (a file URI)
  Returns:
    a status indicating success (OK) or failure (ERROR) to set the path variable. In case of error, the status message provides a user-friendly explanation of the reason

### removePathVariable

    IStatus removePathVariable(java.lang.String name)

  Removes a path variable and its value.

  Parameters:
    `name` - the path variable name
  Returns:
    a status indicating success (OK) or failure (ERROR) to remove the path variable. In case of error, the status message provides a user-friendly explanation of the reason

### getPathVariable

    java.lang.String getPathVariable(java.lang.String name)

  Queries the current value of a path variable.

  Parameters:
    `name` - the path variable name
  Returns:
    the path variable value (a URI) or an empty string if the specified variable is undefined

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.